## sdf 2.001%2B1

=== debian/changelog ===
sdf (2.001+1-9) unstable; urgency=medium

  * Use modern Perl package separators (closes: #1042846).

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Aug 2023 02:19:05 +0100

sdf (2.001+1-8) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Sep 2021 23:45:36 +0100

sdf (2.001+1-7) unstable; urgency=medium

  [ Colin Watson ]
  * Mark sdf-doc Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 19:29:49 +0000

sdf (2.001+1-6) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:38:44 +0100

sdf (2.001+1-5) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 15:01:34 +0000

sdf (2.001+1-4) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Remove duplicate Priority field in sdf-doc binary control stanza.
  * Use HTTPS for Vcs-* URLs.
  * Escape braces in regex (closes: #826504).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 Jun 2016 21:09:04 +0100

sdf (2.001+1-3) unstable; urgency=medium

  * Switch to git; adjust Vcs-* fields.
  * Policy version 3.9.5:
    - No longer need to (build-)depend on perl (>= 5.6.0-16).  Use
      ${perl:Depends} instead.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jan 2014 02:20:43 +0000

sdf (2.001+1-2) unstable; urgency=low

  * Mark sdf Multi-Arch: foreign.
  * Use POSIX::ctime instead of Perl 4's ctime.pl.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 11:37:33 +0000

sdf (2.001+1-1) unstable; urgency=low

  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.
  * Convert to 3.0 (quilt) format.  .orig.tar.gz version bumped since we no
    longer use tarball-in-tarball packaging.
  * Upgrade to debhelper v7.
  * Suggest texlive-latex-base instead of tetex-bin.
  * Suggest ghostscript instead of gs (closes: #601487).
  * Skip Debian packaging files in MANIFEST check.
  * Use /m regex modifier instead of $* (thanks, Roger Burton West; closes:
    #558799).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 May 2011 22:13:28 +0100

sdf (2.001-9) unstable; urgency=low

  * debian/rules: Delete /usr/lib/perl5 only if it exists (closes: #468195).
  * Use debhelper v4.
  * Policy version 3.7.3:
    - Move debhelper from Build-Depends-Indep to Build-Depends.
  * Move find -maxdepth option before other options to avoid a warning.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Feb 2008 10:24:41 +0000

sdf (2.001-8) unstable; urgency=low

  * Change to debian/tmp/usr/share/perl5/sdf/home when building man pages so
    that sdf can find sdf.ini, and hack around absolute/relative symlink
    issues during the build (closes: #189629).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2003 19:13:38 +0100

sdf (2.001-7) unstable; urgency=low

  * Patch #002: -DMAN_CONVENTIONS causes 'sdf -2man' to generate man pages
    in a more conventional style.
  * Patch #003: Fix a spin in _TablePackStr() (closes: #175578).
  * Use -DMAN_CONVENTIONS to generate man pages for all executables except
    mif2rtf and poddiff.
  * debian/rules: Rename TMP variable to avoid confusing patch.
  * debian/copyright: Provide a working upstream URL.
  * Remove /usr/doc/sdf symlink.
  * Remove undocumented(7) symlinks.
  * Remove empty /usr/lib/perl5 directory.

 -- Colin Watson <cjwatson@debian.org>  Thu,  9 Jan 2003 03:01:00 +0000

sdf (2.001-6) unstable; urgency=low

  * New maintainer (closes: #100260).
  * Suggest sgmltools-lite rather than the obsolete sgmltools-2.
  * Policy version 3.5.6.
  * Perl Policy version 1.20.

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Dec 2001 22:44:02 +0000

sdf (2.001-5) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 23:56:16 +0200

sdf (2.001-4) unstable; urgency=low

  * Adopted by new maintainer; closes: #92356
  * Updated to newer standards version and added Build-Depends.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon, 16 Apr 2001 10:41:07 +0200

sdf (2.001-3) unstable; urgency=low

  * Make sdf.ini a conffile, closes: #85964
  * Since Debian policy says that all conffiles should be in /etc, move
    sdf.ini there, and create a symlink from the old location to it.
  * Use some more free defaults, closes: #85969
  * Suggest a few helper packages, closes: #85842

 -- Ben Collins <bcollins@debian.org>  Mon, 26 Mar 2001 16:32:01 -0500

sdf (2.001-2) unstable; urgency=low

  * Added suggests for sdf-doc to sdf, closes: #47286

 -- Ben Collins <bcollins@debian.org>  Thu, 25 Nov 1999 11:29:38 -0500

sdf (2.001-1) unstable; urgency=low

  * Initial release

 -- Ben Collins <bcollins@debian.org>  Thu,  7 Oct 1999 08:25:49 -0400
