=== requirements.txt ===
# Install setup_requires
setuptools>=42
setuptools_scm
wheel
# Testing tools
pytest
yapf==0.24.0
tox
# Install local package
-e .
