=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

dtmp := $(CURDIR)/debian/sdf
mantmp := $(CURDIR)/debian/manpages-tmp
SDFHOME := $(dtmp)/usr/share/perl5

AUTO_MAN := fm2ps prn2ps sdf sdfapi sdfbatch sdfcli sdfget sdngen

override_dh_clean:
	rm -rf $(mantmp)
	dh_clean

override_dh_auto_install:
	dh_auto_install --destdir debian/sdf

	chmod -x `find $(dtmp)/usr/share/perl5/sdf -type f`

	mv $(dtmp)/usr/share/perl5/sdf/home/sdf.ini $(dtmp)/etc
	# Evil hack. When building man pages just below, sdf needs to be
	# able to find sdf.ini in the temporary tree using this symlink.
	ln -s ../../../../../etc/sdf.ini \
	      $(dtmp)/usr/share/perl5/sdf/home/sdf.ini

	mkdir -p $(mantmp)
	for x in $(AUTO_MAN); do \
		(cd $(SDFHOME)/sdf/home; \
		 PATH=$(dtmp)/usr/bin:$$PATH PERL5LIB=$(SDFHOME) \
			$(dtmp)/usr/bin/sdf \
				-2pod -DMAN_CONVENTIONS -O$(mantmp) -g -csdf \
				$(dtmp)/usr/bin/$$x); \
		pod2man $(mantmp)/$$x.pod > \
			$(dtmp)/usr/share/man/man1/$$x.1; \
	done

	# Undo the symlink hack above.
	rm -f $(dtmp)/usr/share/perl5/sdf/home/sdf.ini
	ln -s /etc/sdf.ini $(dtmp)/usr/share/perl5/sdf/home/sdf.ini

override_dh_compress:
	dh_compress -i -X.html
